FLAC 1.4.3 Free Lossless Audio Codec

Public Attributes | List of all members
FLAC__StreamMetadata_VorbisComment_Entry Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
FLAC__uint32 | length
FLAC__byte * | entry

## Detailed Description

Vorbis comment entry structure used in VORBIS_COMMENT blocks. (c.f. format specification)

For convenience, the APIs maintain a trailing NUL character at the end of entry which is not counted toward length, i.e.

strlen(entry) == length

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2023 Xiph.Org Foundation